import { createSlice } from '@reduxjs/toolkit'

/**
 * Create a slice
 */
export const configuration = createSlice({
  name: 'configuration',
  initialState: {},
  reducers: {
    setInitialConfiguration: (state, action) => {
      return action.payload
    },
  }
})

export const { setInitialConfiguration } = configuration.actions

export const getConfiguration = (state) => state.configuration

export default configuration.reducer
