/**
 * Trigger a custom event
 *
 * @param {string}   eventType      The name of the event.
 * @param {object}   data           Any arbitrary event data
 */
export const triggerEvent = (eventType, data) => {
  const event = new CustomEvent(eventType, { detail: data })
  window.dispatchEvent(event)
}