# DMG Liveblog WordPress Plugin

A WordPress plugin that creates Gutenberg block-based Liveblogging tool with an embedable React front-end.

## Installation

1. Download the plugin to the wp-content/plugins directory
2. Activate the plugin

## Usage

Creation of new liveblogs is limited to a custom user capability called, `manage_dmg_liveblog`, and this capability is automatically assigned to the `administrator` user role. 

## Development

The plugin is divided into discrete features, each with their own purpose and development flow.

### Post Types

The registration of the post types and handling of callback on liveblog CRUD.

### Gutenberg

The Gutenberg blocks that interact with the post types.

### API

Custom endpoints to retrieve Liveblogs and their entries

### React App

The front-end client app to display the Liveblog.

...installing...testing...etc

### Embed

Creation of an endpoint that will serve an iframe-able embed of a given liveblog

