/**
 * The number of entries loaded in per page
 *
 * @type {Number}
 */
 export const entriesPerPage = 25;

/**
 * Array of whitelisted Gutenberg block names for use in the InnerBlocks component
 *
 * @type {string[]}
 */

let whitelist = window?.dmgLiveblogSettings?.blockWhitelist ?? [];

export const innerBlocksAllowedBlocks = [
    'core/image',
    'core/paragraph',
    'core/list',
    'core/quote',
    'core/embed',
    'core-embed/twitter',
    'core-embed/youtube',
    'core-embed/facebook',
    'core-embed/instagram',
    'getty-images/media',
].concat(whitelist);
