/**
 * Internal dependencies
 */
import entryBlock from './liveblog-entry/block.json';
import { select } from '@wordpress/data';

/**
 * Insert a new entry form
 */
const insertNewEntryForm = () => {
    const insertedBlock = wp.blocks.createBlock(entryBlock.name, { date: new Date().toISOString(), author: select("core").getCurrentUser().id });
    wp.data.dispatch('core/block-editor').insertBlocks(insertedBlock, 0);
}

export default insertNewEntryForm;
